----------------------------------------------------
-- Simple Yield Trade Station
-- BALANCED Station
----------------------------------------------------
include( "StationHelper" );

local Station = {};

local TRADE_YIELDS = {
	{
		[YieldTypes.YIELD_FOOD]			= 4,
	},
	{
		[YieldTypes.YIELD_FOOD]			= 6,
	},
	{
		[YieldTypes.YIELD_FOOD]			= 10,
	},
	{
		[YieldTypes.YIELD_FOOD]			= 14,
	},
	{
		[YieldTypes.YIELD_FOOD]			= 18,
	}
};

----------------------------------------------------
-- Accessors
----------------------------------------------------
function Station.GetTradeYieldDeltaPerTurn(station, yieldType)

	return GenericYieldDelta(station, yieldType, TRADE_YIELDS);
end

function Station.GetStationConquestYieldReward(station, yieldType)

	return GenericConquestYield(station, yieldType, TRADE_YIELDS);
end

function Station.GetMessageString(stationData, playerType)

	return GenericYieldStationMessageString(stationData, playerType, TRADE_YIELDS);
end

function Station.GetNextLevelString(station, playerType)

	return GenericYieldStationNextLevelString(station, playerType, TRADE_YIELDS);
end

function Station.GetMaxLevel()
	return #TRADE_YIELDS;
end

----------------------------------------------------
-- Callbacks
----------------------------------------------------

----------------------------------------------------
-- Utilities
----------------------------------------------------

return Station;